Return named API key for the agent ID
curl --request GET \
--url https://api.example.com/agent_api_keys/name/{name}import requests
url = "https://api.example.com/agent_api_keys/name/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agent_api_keys/name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"api_key_type": "internal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agent APIKeys
Return named API key for the agent ID
Return named API key for the agent ID.
GET
/
agent_api_keys
/
name
/
{name}
Return named API key for the agent ID
Path Parameters
Query Parameters
Available options:
internal, external, github, slack Response
Successful Response
The unique identifier of the agent API key.
The UUID of the agent
When the agent API key was created
The optional name of the agent API key.
The type of the agent API key (either internal or external)
Available options:
internal, external, github, slack 
